CMSIS DSP Software Library: arm_cfft_radix4_f32.c File Reference

Functions

# arm_cfft_radix4_f32.c File Reference

`#include "arm_math.h"`

Go to the source code of this file.

## Functions
void | arm_cfft_radix4_f32 (const arm_cfft_radix4_instance_f32 *S, float32_t *pSrc)
void | arm_radix4_butterfly_f32 (float32_t *pSrc, uint16_t fftLen, float32_t *pCoef, uint16_t twidCoefModifier)
void | arm_radix4_butterfly_inverse_f32 (float32_t *pSrc, uint16_t fftLen, float32_t *pCoef, uint16_t twidCoefModifier, float32_t onebyfftLen)
void | arm_bitreversal_f32 (float32_t *pSrc, uint16_t fftSize, uint16_t bitRevFactor, uint16_t *pBitRevTab)

## Function Documentation

void arm_radix4_butterfly_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftLen,
|  | float32_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

Core function for the floating-point CFFT butterfly process.

end of CFFT_CIFFT group

Definition at line 223 of file arm_cfft_radix4_f32.c.

void arm_radix4_butterfly_inverse_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftLen,
|  | float32_t * | pCoef,
|  | uint16_t | twidCoefModifier,
|  | float32_t | onebyfftLen
| ) |  |

Core function for the floating-point CIFFT butterfly process.

Parameters:

  [in,out] | *pSrc | points to the in-place buffer of floating-point data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.
  [in] | onebyfftLen | value of 1/fftLen.

Returns:
  none.

Definition at line 660 of file arm_cfft_radix4_f32.c.

void arm_bitreversal_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftSize,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

In-place bit reversal function.

Parameters:

  [in,out] | *pSrc | points to the in-place buffer of floating-point data type.
  [in] | fftSize | length of the FFT.
  [in] | bitRevFactor | bit reversal modifier that supports different size FFTs with the same bit reversal table.
  [in] | *pBitRevTab | points to the bit reversal table.

Returns:
  none.

Definition at line 1177 of file arm_cfft_radix4_f32.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines